package com.ruoyi.ems.service.impl;

import java.util.List;

import com.ruoyi.ems.domain.EmissionFactor;
import com.ruoyi.ems.mapper.EmissionFactorMapper;
import com.ruoyi.ems.service.IEmissionFactorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 排放因子维Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
@Service
public class EmissionFactorServiceImpl implements IEmissionFactorService
{
    @Autowired
    private EmissionFactorMapper emissionFactorMapper;

    /**
     * 查询排放因子维
     * 
     * @param id 排放因子维主键
     * @return 排放因子维
     */
    @Override
    public EmissionFactor selectEmissionFactorById(Long id)
    {
        return emissionFactorMapper.selectEmissionFactorById(id);
    }

    /**
     * 查询排放因子维列表
     * 
     * @param emissionFactor 排放因子维
     * @return 排放因子维
     */
    @Override
    public List<EmissionFactor> selectEmissionFactorList(EmissionFactor emissionFactor)
    {
        return emissionFactorMapper.selectEmissionFactorList(emissionFactor);
    }

    /**
     * 新增排放因子维
     * 
     * @param emissionFactor 排放因子维
     * @return 结果
     */
    @Override
    public int insertEmissionFactor(EmissionFactor emissionFactor)
    {
        return emissionFactorMapper.insertEmissionFactor(emissionFactor);
    }

    /**
     * 修改排放因子维
     * 
     * @param emissionFactor 排放因子维
     * @return 结果
     */
    @Override
    public int updateEmissionFactor(EmissionFactor emissionFactor)
    {
        return emissionFactorMapper.updateEmissionFactor(emissionFactor);
    }

    /**
     * 批量删除排放因子维
     * 
     * @param ids 需要删除的排放因子维主键
     * @return 结果
     */
    @Override
    public int deleteEmissionFactorByIds(Long[] ids)
    {
        return emissionFactorMapper.deleteEmissionFactorByIds(ids);
    }

    /**
     * 删除排放因子维信息
     * 
     * @param id 排放因子维主键
     * @return 结果
     */
    @Override
    public int deleteEmissionFactorById(Long id)
    {
        return emissionFactorMapper.deleteEmissionFactorById(id);
    }
}
